Subject: Re: gitweb calls the project ".git"

From: Daniele Segato <[email-masked]>
Date: Wed, 07 Oct 2009 22:01:38 +0200

Il giorno mer, 07/10/2009 alle 18.31 +0200, Lars Rasmusson ha scritto:
> Hi, I am serving a repository with "git instaweb".
> 
> In the web browser, the name in the Project column is only ".git", and  
> not the "myrepo.git"
> which I would like to have, and as it is on http://repo.or.cz/ (which  
> is a site that also uses gitweb).
> 
> How do I configure it to serve the project directory (or even better,  
> all the repos in a directory), and name them appropriately?
> 
> (Is it possible to do with instaweb, or can it only be done with a  
> more heavy approach like using apache?)

as for I know by default you should create a simbolic link to your .git
directory in /var/cache/git/

the name of the project depends of the name of the symbolic link

example: /var/cache/git/yourproject.git --> /your/project/path/.git/

Bye,
Daniele